%define _binary_filedigest_algorithm 1
%add_verify_elf_skiplist /opt/zoom-client/*

Name:		zoom-client
Version: 	5.9.6.2225
Epoch:		1
Release: 	alt1
Source0:	zoom_x86_64.tar.xz
Source1:	Zoom.png
Group:		Communications
License:	distribute
Summary:	#1 Video Conferencing and Web Conferencing Service

AutoReq:	no

#Obsoletes:	zoom >= 3.5.392530.0421, zoom <= 5.0.418682.0603
#Conflicts:	zoom >= 3.5.392530.0421

%description
Zoom #1 Video Conferencing and Web Conferencing Service

%prep

%setup -n zoom

%build


%pre
# upgrade
if [ $1 == 2 ]; then
rm -fr /opt/%name/  >/dev/null 2>&1 || :
fi


%install
mkdir -p %buildroot/opt/%name/zoom/
mkdir -p %buildroot/opt/%name/zoom/iconengines
mkdir -p %buildroot/opt/%name/zoom/sip
mkdir -p %buildroot/opt/%name/zoom/QtQuick.2
mkdir -p %buildroot/opt/%name/zoom/xcbglintegrations
mkdir -p %buildroot/opt/%name/zoom/Qt/labs/{folderlistmodel,sharedimage,platform,calendar,settings}
mkdir -p %buildroot/opt/%name/zoom/Qt/WebSockets
mkdir -p %buildroot/opt/%name/zoom/QtQuick/Window.2
mkdir -p %buildroot/opt/%name/zoom/QtQuick/Scene3D
mkdir -p %buildroot/opt/%name/zoom/QtQuick/Extras/{Private,designer}
mkdir -p %buildroot/opt/%name/zoom/QtQuick/Extras/designer/images
mkdir -p %buildroot/opt/%name/zoom/QtQuick/Controls.2/{Material,Universal,designer}
mkdir -p %buildroot/opt/%name/zoom/QtQuick/Controls.2/designer/images
mkdir -p %buildroot/opt/%name/zoom/QtQuick/LocalStorage
mkdir -p %buildroot/opt/%name/zoom/QtQuick/Particles.2
mkdir -p %buildroot/opt/%name/zoom/QtQuick/Layouts
mkdir -p %buildroot/opt/%name/zoom/QtQuick/Scene2D
mkdir -p %buildroot/opt/%name/zoom/QtQuick/Controls/Styles/{Base,Desktop,Flat}
mkdir -p %buildroot/opt/%name/zoom/QtQuick/Controls/Styles/Base/images
mkdir -p %buildroot/opt/%name/zoom/QtQuick/Controls/Private
mkdir -p %buildroot/opt/%name/zoom/QtQuick/Dialogs/Private
mkdir -p %buildroot/opt/%name/zoom/QtQuick/Dialogs/images
mkdir -p %buildroot/opt/%name/zoom/QtQuick/Dialogs/qml
mkdir -p %buildroot/opt/%name/zoom/QtQuick/PrivateWidgets
mkdir -p %buildroot/opt/%name/zoom/QtQuick/Templates.2
mkdir -p %buildroot/opt/%name/zoom/QtQuick/XmlListModel
mkdir -p %buildroot/opt/%name/zoom/egldeviceintegrations
mkdir -p %buildroot/opt/%name/zoom/QtGraphicalEffects/private
mkdir -p %buildroot/opt/%name/zoom/imageformats
mkdir -p %buildroot/opt/%name/zoom/QtQml/Models.2
mkdir -p %buildroot/opt/%name/zoom/QtQml/StateMachine
mkdir -p %buildroot/opt/%name/zoom/platforminputcontexts
mkdir -p %buildroot/opt/%name/zoom/translations
mkdir -p %buildroot/opt/%name/zoom/platformthemes
mkdir -p %buildroot/opt/%name/zoom/timezones/{en,ptg,vi,ko,zh_TW,es,it,jp,ru,fr,de,zh_CN}
mkdir -p %buildroot/opt/%name/zoom/{platforms,json,generic,audio}
mkdir -p %buildroot/%_desktopdir
mkdir -p %buildroot/%_iconsdir/%name

cp -r * %buildroot/opt/%name/zoom/

cp %SOURCE1 %buildroot/%_iconsdir/%name

cat << EOF > %buildroot/%_desktopdir/Zoom.desktop
[Desktop Entry]
Name=Zoom
Comment=Zoom Video Conference
Exec=/opt/zoom-client/zoom/ZoomLauncher
Icon=/usr/share/icons/zoom-client/Zoom.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Network;Application;
StartupWMClass=Zoom
MimeType=x-scheme-handler/zoommtg;x-scheme-handler/zoomus;x-scheme-handler/tel;x-scheme-handler/callto;x-scheme-handler/zoomphonecall;application/x-zoom
X-KDE-Protocols=zoommtg;zoomus;tel;callto;zoomphonecall;
Name[en_US]=Zoom
EOF

chmod 755 %buildroot/%_desktopdir/Zoom.desktop

%files
/opt/%name/zoom/*
/usr/share/applications/Zoom.desktop
/usr/share/icons/%name/Zoom.png

%changelog
* Fri Mar 11 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 5.9.6.2225-alt1
- Repack from official binary
- Add _binary_filedigest_algorithm=1 for P8

* Wed Feb 02 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 5.9.3.1911-alt1
- Repack from official binary

* Mon Jan 17 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 5.9.1.1380-alt1
- Repack from official binary

* Wed Dec 15 2021  Anton Shevtsov  <x09@altlinux.org> <shevtsov.anton@gmail.com> 5.8.6.739-alt2
- Repack from official binary

* Mon Sep 27 2021  Anton Shevtsov  <x09@altlinux.org> 5.8.0.16-alt1
- Repack from official binary

* Wed May 26 2021 Anton Shevtsov  <x09@altlinux.org> 5.6.6.20278.0524-alt1
- Repack from official binary
- Translations fix

* Fri May 21 2021 Anton Shevtsov  <x09@altlinux.org> 5.6.4.16888.0424-alt1
- Repack from official binary

* Mon Mar 22 2021 Anton Shevtsov  <x09@altlinux.org> 5.5.4.7938.0228-alt1
- Repack from official binary

* Wed Dec 30 2020 Anton Shevtsov  <x09@altlinux.org> 5.4.7.57450.1220-alt1
- Repack from official binary 5.4.7 (57450.1220)

* Fri Dec 04 2020 Anton Shevtsov  <x09@altlinux.org> 5.4.54779.1115-alt3
- Repack from official binary

* Wed Nov 11 2020 Anton Shevtsov  <x09@altlinux.org> 5.4.53391.1108-alt1
- Repack from official binary

* Fri Sep 25 2020 Anton Shevtsov  <x09@altlinux.org> 5.3.465578.0920-alt3
- Repack from official binary
